/**
 * database update script
 * target version V1.00.21 (off release/V1.00.20)
 */

.bail ON

-- Add new event log templates for RCM
INSERT INTO EventLogModule (id, mname) VALUES
(13, 'RCM');

INSERT INTO EventLogAction (id, aname) VALUES
(15, 'selftest');

INSERT INTO EventLogModuleAction (mid, aid, active, format) VALUES
(13, 15, 1, 'RCM selftest for @RCMNAME@ triggered on @PDU@ PDU with serial number @SN@ measured I(AC)=@RCMACVAL@ mA, I(DC)=@RCMDCVAL@ mA. AC alarm @RCMACDET@ and DC alarm @RCMDCDET@ (applied current > 50 mA)');

-- Discontinue the possibility of fuse state changes
UPDATE SetPointScaleUnit
SET setpointtype = 0
WHERE sensorvariableid IN (SELECT sensorvariableid FROM SensorVariableDef WHERE keyid = 48);

-- target version
PRAGMA user_version = 10021;
