/**
 * Schema changes necessary to get from pdu_persistency V1.01.04 to V1.01.05
 */

-- stop on error
.bail ON

-- create a new table SocketGroup referencing sensorvariabledef instead of socketgroupdefinition

CREATE TABLE SNMP_V1_V2_Address_List_Tmp (
		configID       INTEGER NOT NULL,
		ipAddress      TEXT NOT NULL,
		ipType         INTEGER NOT NULL,
		PRIMARY KEY(configID, ipAddress, ipType)
);


-- copy all existing (ipv4) addresses
INSERT INTO SNMP_V1_V2_Address_List_Tmp SELECT configid, ipaddress, 0 FROM SNMP_V1_V2_Address_List;

-- special treatment for the default community string, also in ipv6
INSERT INTO SNMP_V1_V2_Address_List_Tmp
SELECT configid, ipaddress, 1 FROM SNMP_V1_V2_Address_List
WHERE  ipaddress = 'default';

DROP TABLE SNMP_V1_V2_Address_List;
ALTER TABLE SNMP_V1_V2_Address_List_Tmp RENAME TO SNMP_V1_V2_Address_List;

/* The user_version defines the schema for our applications - this comes last */
PRAGMA user_version = 10105;
