#!/bin/bash

DISP_INI_FILE="/etc2/display.ini"

if ! [ -f $DISP_INI_FILE ];then
	exit 0
fi

DISP_OFF_TIME=$(grep 'display_off_time' $DISP_INI_FILE | cut -d= -f2)
DISP_ORIENTATION=$(grep 'display_orientation' $DISP_INI_FILE | cut -d= -f2)

function update_db() {

	sqlite3 $1 "INSERT OR REPLACE INTO Configuration (itemKey, itemType, itemValNumber) VALUES ('DisplayOffTime', 0, $DISP_OFF_TIME)"
	sqlite3 $1 "INSERT OR REPLACE INTO Configuration (itemKey, itemType, itemValNumber) VALUES ('DisplayOrientation', 0, $DISP_ORIENTATION)"
}

for dbf in /tmp/pdu_persistency.db /etc2/backups/sqlite*; do
	update_db ${dbf}
done

rm $DISP_INI_FILE

