#!/bin/bash

declare script_dir=$(dirname $0)


function update_db() {
	local dbfile="$1"
	[[ -z "${dbfile}" ]] || [[ ! -f "${dbfile}" ]] && return 1

	local user_version=$(sqlite3 "${dbfile}" 'PRAGMA USER_VERSION')
	echo "${dbfile} has user version ${user_version}"

	for sql in $(ls ${script_dir}/pdu_persistency_*.sql); do
		local sql_version=$(echo ${sql} | sed 's/^.*pdu_persistency_\([0-9]\+\).sql$/\1/')
		if [[ ${sql_version} ]] && [[ ${user_version} < ${sql_version} ]]; then
			sqlite3 "${dbfile}" < ${sql}
			echo "${dbfile} has been updated with ${sql}"
		fi
	done
}


for dbf in /tmp/pdu_persistency.db /etc2/backups/sqlite*; do
	update_db ${dbf}
done
